@echo off
rem Setup batch for Standby Mode 23/05/1999-24/05/1999 Stephan Grokla
rem V1.1 of setup.bat and stby_act.bat finally work as they should
cls
echo StandbySetup V1.1
echo ͻ
echo  Welcome to Standby Mode for Calmira II V1.1! 
echo ͼ
echo.
echo This batch file configures Standby Mode for Calmira V1.1. All previous settings
echo contained in standby.bat will be deleted if the file already exists.
echo.
choice /c:yn Do you want to continue 
if errorlevel 255 goto 1error
if errorlevel 2 goto end
if errorlevel 1 goto start
goto end

:start
cls
echo @echo off > standby.bat
echo Phase I - Hard Drives
echo.
choice /c:1234 How many [E]IDE hard disk drives do you have 
if errorlevel 255 goto error
if errorlevel 4 set number=4
if errorlevel 4 goto disk4
if errorlevel 3 set number=3
if errorlevel 3 goto disk3
if errorlevel 2 set number=2
if errorlevel 2 goto disk2
if errorlevel 1 set number=1
if errorlevel 1 goto disk1
goto end

:disk4
echo Your 4th drive is...
echo 1=Primary Master
echo 2=Primary Slave
echo 3=Secondary Master
echo 4=Secondary Slave 
echo.
echo It is useful to enter the drives in the reverse of the order above (4-3-2-1).
echo.
choice /c:1234 /n Please enter a number [1,2,3,4]:
if errorlevel 255 goto error
if errorlevel 4 echo set hd4=ss>> standby.bat
if errorlevel 4 goto disk3
if errorlevel 3 echo set hd4=sm>> standby.bat
if errorlevel 3 goto disk3
if errorlevel 2 echo set hd4=ps>> standby.bat
if errorlevel 2 goto disk3
if errorlevel 1 echo set hd4=pm>> standby.bat

:disk3
echo Your 3rd drive is...
echo 1=Primary Master
echo 2=Primary Slave
echo 3=Secondary Master
echo 4=Secondary Slave 
echo.
if "%number%"=="3" echo It is useful to enter the drives in the reverse of the order above (4-3-2-1).
if "%number%"=="3" echo.
choice /c:1234 /n Please enter a number [1,2,3,4]:
if errorlevel 255 goto error
if errorlevel 4 echo set hd3=ss>> standby.bat
if errorlevel 4 goto disk2
if errorlevel 3 echo set hd3=sm>> standby.bat
if errorlevel 3 goto disk2
if errorlevel 2 echo set hd3=ps>> standby.bat
if errorlevel 2 goto disk2
if errorlevel 1 echo set hd3=pm>> standby.bat

:disk2
echo Your 2nd drive is...
echo 1=Primary Master
echo 2=Primary Slave
echo 3=Secondary Master
echo 4=Secondary Slave 
echo.
echo It is useful to enter the drives in the reverse of the order above (4-3-2-1).
if "%number%"=="2" echo.
choice /c:1234 /n Please enter a number [1,2,3,4]:
if errorlevel 255 goto error
if errorlevel 4 echo set hd2=ss>> standby.bat
if errorlevel 4 goto disk1
if errorlevel 3 echo set hd2=sm>> standby.bat
if errorlevel 3 goto disk1
if errorlevel 2 echo set hd2=ps>> standby.bat
if errorlevel 2 goto disk1
if errorlevel 1 echo set hd2=pm>> standby.bat

:disk1
echo.
if "%number%"=="1" echo Your hard disk is...
if not "%number%"=="1" echo Your 1st drive is...
echo 1=Primary Master
echo 2=Primary Slave
echo 3=Secondary Master
echo 4=Secondary Slave 
echo.
choice /c:1234 /n Please enter a number [1,2,3,4]:
if errorlevel 255 goto error
if errorlevel 4 echo set hd1=ss>> standby.bat
if errorlevel 4 goto modes
if errorlevel 3 echo set hd1=sm>> standby.bat
if errorlevel 3 goto modes
if errorlevel 2 echo set hd1=ps>> standby.bat
if errorlevel 2 goto modes
if errorlevel 1 echo set hd1=pm>> standby.bat

:modes 
cls
echo Phase II - Standby Timer
echo.
echo Attention!
echo If there are programs running which read or write data from a hard drive while
echo the standby mode is active, they will cause unnecessary shutdowns and restarts
echo of the drive. This can reduce the life of the hard disk. Mostly the drive(s)
echo with the TEMP directory (and/or the swapfile) is / are affected.
echo For this drive / these drives you can select a longer time span until the drive
echo shuts down. The standard time span is 1 minute, the longer one 10 minutes
echo at the moment. You should leave the standard time span set unless you ex-
echo perience occasional restarts of the drive while the system is in standby mode.
echo.
pause
if "%number%"=="4" goto d4time
if "%number%"=="3" goto d3time
if "%number%"=="2" goto d2time
if "%number%"=="1" goto d1time

:d4time
choice /c:sl /n Drive 4: [S]tandard or [l]ong standby time? 
if errorlevel 2 echo set d4time=10 >> standby.bat
if errorlevel 2 goto d3time
if errorlevel 1 echo set d4time=1 >> standby.bat

:d3time
choice /c:sl /n Drive 3: [S]tandard or [l]ong standby time? 
if errorlevel 2 echo set d3time=10 >> standby.bat
if errorlevel 2 goto d2time
if errorlevel 1 echo set d3time=1 >> standby.bat

:d2time
choice /c:sl /n Drive 2: [S]tandard or [l]ong standby time? 
if errorlevel 2 echo set d2time=10 >> standby.bat
if errorlevel 2 goto d1time
if errorlevel 1 echo set d2time=1 >> standby.bat

:d1time
choice /c:sl /n Drive 1: [S]tandard or [l]ong standby time? 
if errorlevel 2 echo set d1time=10 >> standby.bat
if errorlevel 2 goto Calmira
if errorlevel 1 echo set d1time=1 >> standby.bat

:Calmira
cls
echo Phase III - Calmira
echo.
echo You need not have the Calmira directory in your DOS path, as start.bat from
echo Calmira II 3.01 is already included with Standby Mode for Calmira.
echo Make sure Calmira is able to run scripts - is the TEMPSCRIPT variable set?
echo.
echo That's all. SETUP will now complete the batch file STANDBY.BAT, for which you
echo will have to create a PIF file when setup is complete. STANDBY.BAT must be
echo executed in a window (not fullscreen) and the option "In background" must be
echo disabled, which it is by default. You can also use standby.pif (supplied).
echo Then you may create a shortcut to the PIF file on your desktop, or you may
echo include the standby mode in your Calmira Start menu (above Shut Down), just as
echo you like.
echo call stby_act.bat >> standby.bat
echo.
pause
echo Setup has successfully completed. Bye!
wait 1
goto end

:1error
echo I don't like to tell you that, but an error has occured.
echo If this happened at the beginning of the setup process, make sure choice.com
echo is in the DOS path.
goto end

:error
echo I don't like to tell you that, but an error has occured.
goto end

:end

